﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private EntitiesModel dataContext = new EntitiesModel();

        public Form1()
        {
            InitializeComponent();

            this.objectProvider.SetObjectContext(dataContext.Scope);
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            dataContext.SaveChanges();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (dataContext != null)
            {
                dataContext.Dispose();
                dataContext = null;
            }
        }
    }
}
